Package org.eclipse.rdf4j.sparqlbuilder.core

## Class Dataset

- java.lang.Object
- - org.eclipse.rdf4j.sparqlbuilder.core.QueryElementCollection<T>
  - - org.eclipse.rdf4j.sparqlbuilder.core.StandardQueryElementCollection<From>
    - - org.eclipse.rdf4j.sparqlbuilder.core.Dataset

- All Implemented Interfaces:
    `QueryElement`

      public class Dataset
      extends StandardQueryElementCollection<From>

  A SPARQL dataset specification
  See Also:
    RDF Datasets

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.sparqlbuilder.core.QueryElementCollection

      `elements`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Dataset()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Dataset` | `from​(IRI... iris)` |
    `Dataset` | `from​(From... graphs)` | Add graph references to this dataset
    `Dataset` | `from​(Iri... iris)` | Add unnamed graph references to this dataset

    - ### Methods inherited from class org.eclipse.rdf4j.sparqlbuilder.core.StandardQueryElementCollection

      `getQueryString, printBodyIfEmpty, printNameIfEmpty, resetWrapperMethod, setOperatorName, setOperatorName, setWrapperMethod`

    - ### Methods inherited from class org.eclipse.rdf4j.sparqlbuilder.core.QueryElementCollection

      `addElements, addElements, isEmpty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Dataset

          public Dataset()

  - ### Method Detail

    - #### from

          public Dataset from​(From... graphs)

      Add graph references to this dataset
      Parameters:
        `graphs` - the datasets to add
      Returns:
        this object

    - #### from

          public Dataset from​(Iri... iris)

      Add unnamed graph references to this dataset
      Parameters:
        `iris` - the IRI's of the graphs to add
      Returns:
        this

    - #### from

          public Dataset from​(IRI... iris)